#!/usr/bin/env python
# Copyright (c) 2005 Marco Antonio Islas Cruz
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

import gtk
from pkglibs.gtk_misc import *
from pkglibs.libpkg import *
class show_data:
	def __init__(self,package):
		self.package = package
		self.gtk_misc = gtk_misc()
		self.libpkg = packages()
		self.window()
	def window(self):
		window = gtk.Window()
		window.set_title(self.package)
		window.set_border_width(5)
		window.set_default_size(600,600)
		window.set_position(gtk.WIN_POS_CENTER)
		window.set_icon(self.gtk_misc.gen_pixbuf(self.gtk_misc.logo))
		window.connect("destroy",self.gtk_misc.delete_window,window)
		vbox = gtk.VBox(False,2)
		window.add(vbox)
		
		label = gtk.Label("Showing %s package data"%self.package)
		vbox.pack_start(label,False,True,2)
		scrolled = gtk.ScrolledWindow()
		scrolled.set_policy(gtk.POLICY_AUTOMATIC,gtk.POLICY_AUTOMATIC)
		vbox.pack_start(scrolled,True,True,2)
		text = gtk.TextView()
		text.set_cursor_visible(False)
		text.set_wrap_mode(gtk.WRAP_NONE)
		text.set_editable(False)
		data = self.libpkg.get_all_data(self.package)
		buffer = text.get_buffer()
		buffer.set_text(data)
		scrolled.add(text)
		
		hb = gtk.HBox(False,2)
		vbox.pack_start(hb,False,False,2)
		quit = gtk.Button("",gtk.STOCK_QUIT)
		quit.connect("clicked",self.gtk_misc.delete_window,window)
		hb.pack_end(quit,False,False,2)
		
		window.show_all()
